staqlydocs
REST APIAPI referenceChannels

Connect a platform that signs in with a token, through a connect link

Connect a platform that signs in with a token, through a connect link (no credentials, no session)

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

POST
/v1/connect-links/{token}/channels

Path Parameters

token*string

The connect link's token

Request Body

application/json
  1. body
provider*string
fields?

The platform's credential fields

Response Body

Connected

application/json
  1. response
name*string
handle*string
provider*string
curl -X POST 'https://staqly.example.com/v1/connect-links/string/channels' \  -H 'Content-Type: application/json' \  -d '{  "provider": "string"}'
{  "name": "string",  "handle": "string",  "provider": "string"}